﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication24
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = DummyDataCreator.GetData(100);            

            DateTime date1 = DateTime.Now;
            DateTime date2 = date1.AddDays(1);
            DateTime date3 = date1.AddDays(-1);

            foreach (DataRow row in dt.Rows)
            {
                switch (DummyDataCreator.RandomInt(1, 3))
                {
                    case 1:
                        row["DateTime 1"] = date1;
                        break;
                    case 2:
                        row["DateTime 1"] = date2;
                        break;
                    case 3:
                        row["DateTime 1"] = date3;
                        break;
                }

                switch (DummyDataCreator.RandomInt(1,3))
                {
                    case 1:
                        row["String 1"] = "Apple";
                        break;
                    case 2:
                        row["String 1"] = "Banana";
                        break;
                    case 3:
                        row["String 1"] = "Cherry";
                        break;
                }                
            }

            dt.AcceptChanges();

            this.ultraGrid1.DataSource = dt;            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];

            layout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;

            UltraGridColumn dateTimeColumn = band.Columns["DateTime 1"];
            dateTimeColumn.GroupByMode = GroupByMode.Date;
            band.SortedColumns.Add("DateTime 1", false, true);

            UltraGridColumn stringColumn = band.Columns["String 1"];
            band.SortedColumns.Add("String 1", false, true);
        }
    }
}
